commit 4797472b32afa4da45c814431e5d57ebd188aee1
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Tue Jan 11 01:18:35 2022

    Daily bump.

diff --git a/gcc/ChangeLog b/gcc/ChangeLog
index 450b8031713..b0776a8f8da 100644
--- a/gcc/ChangeLog
+++ b/gcc/ChangeLog
@@ -1,3 +1,8 @@
+2022-01-10  Eric Botcazou  <ebotcazou@adacore.com>
+
+	PR target/103465
+	* coretypes.h (unwind_info_type): Swap UI_SEH and UI_TARGET.
+
 2022-01-02  John David Anglin  <danglin@gcc.gnu.org>
 
 	* config/pa/pa.md (atomic_storeq): Use optab_libfunc to access
diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index 20bfd103a66..9de7ada22f1 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20220110
+20220111
diff --git a/gcc/cp/ChangeLog b/gcc/cp/ChangeLog
index 165a6cfea0b..7e6b1b31416 100644
--- a/gcc/cp/ChangeLog
+++ b/gcc/cp/ChangeLog
@@ -1,3 +1,12 @@
+2022-01-10  Patrick Palka  <ppalka@redhat.com>
+
+	Backported from master:
+	2022-01-10  Patrick Palka  <ppalka@redhat.com>
+
+	PR c++/103783
+	* call.c (cand_parms_match): Skip over 'this' when given one
+	static and one non-static member function.
+
 2022-01-03  Marek Polacek  <polacek@redhat.com>
 
 	Backported from master:
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index 346cd09ba35..8e57089eff7 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,11 @@
+2022-01-10  Patrick Palka  <ppalka@redhat.com>
+
+	Backported from master:
+	2022-01-10  Patrick Palka  <ppalka@redhat.com>
+
+	PR c++/103783
+	* g++.dg/cpp2a/concepts-memfun2.C: New test.
+
 2022-01-03  Marek Polacek  <polacek@redhat.com>
 
 	Backported from master:
diff --git a/libstdc++-v3/ChangeLog b/libstdc++-v3/ChangeLog
index 8bae9e8fb83..bc354350c39 100644
--- a/libstdc++-v3/ChangeLog
+++ b/libstdc++-v3/ChangeLog
@@ -1,3 +1,21 @@
+2022-01-10  Jonathan Wakely  <jwakely@redhat.com>
+
+	Backported from master:
+	2022-01-10  Jonathan Wakely  <jwakely@redhat.com>
+
+	* doc/xml/manual/using.xml: Update documentation around default
+	-std option.
+	* doc/html/*: Regenerate.
+
+2022-01-10  Jonathan Wakely  <jwakely@redhat.com>
+
+	Backported from master:
+	2022-01-10  Jonathan Wakely  <jwakely@redhat.com>
+
+	PR libstdc++/100017
+	* src/c++17/Makefile.am (AM_CXXFLAGS): Add -nostdinc++.
+	* src/c++17/Makefile.in: Regenerate.
+
 2022-01-05  Jonathan Wakely  <jwakely@redhat.com>
 
 	Backported from master:

